org.eclipse.emf.cdo.common.util

## Interface CDOTimeProvider

- All Known Subinterfaces:
    CDOAdminClientRepository, CDOAdminRepository, CDOBranch, CDOBranchPoint, CDOBranchTag, CDOCheckout, CDOCommitHistory.TriggerLoadElement, CDOCommitInfo, CDOCommonRepository, CDOCommonTransaction, CDOCommonView, CDOLockChangeInfo, CDOPackageUnit, CDORepositoryElement, CDORepositoryInfo, CDORevisable, CDORevision, CDOSessionInvalidationEvent, CDOSessionLocksChangedEvent, CDOTransaction, CDOView, CDOViewAdaptersNotifiedEvent, CDOViewInvalidationEvent, CDOViewLocksChangedEvent, IDurableLockingManager.LockArea, InternalCDOBranch, InternalCDOPackageUnit, InternalCDORevision, InternalCDOSessionInvalidationEvent, InternalCDOTransaction, InternalCDOView, InternalCommitContext, InternalFailoverParticipant, InternalRepository, InternalSynchronizableRepository, InternalTransaction, InternalView, IQueryContext, IRepository, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryResourcesContext.ExactMatch, IStoreAccessor.QueryXRefsContext, ISynchronizableRepository, ITransaction, IView
  All Known Implementing Classes:
    AbstractCDORevision, BaseCDORevision, CDOChangeSetSegment, CDOPushTransaction, CDOSessionProtocol.CommitTransactionResult, CDOSessionProtocol.OpenSessionResult, CountedTimeProvider, CurrentTimeProvider, DelegatingCDORevision, DelegatingQueryResourcesContext, DetachedCDORevision, DurableLockArea, PointerCDORevision, StubCDORevision, SyntheticCDORevision

      public interface CDOTimeProvider

  Provides the consumer with a long-valued time stamp.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimeStamp()`

- - ### Method Detail

    - #### getTimeStamp

          long getTimeStamp()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html